Last Comment Bug 407733 - [1.8 branch] js-1.7.0.tar.gz does not build on WIN32
: [1.8 branch] js-1.7.0.tar.gz does not build on WIN32
Status: RESOLVED FIXED
: fixed1.8.1.18
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: 1.8 Branch
: x86 Windows XP
: -- normal (vote)
: ---
Assigned To: Bob Clary [:bc:]
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks: 401087
  Show dependency treegraph
 
Reported: 2007-12-10 07:01 PST by Robin Ehrlich
Modified: 2008-11-10 15:24 PST (History)
2 users (show)
bob: in‑testsuite-
bob: in‑litmus-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (9.56 KB, patch)
2008-09-23 10:50 PDT, Bob Clary [:bc:]
timeless: review+
dveditz: approval1.8.1.18+
Details | Diff | Splinter Review

Description Robin Ehrlich 2007-12-10 07:01:35 PST
User-Agent:       Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 1.1.4322; .NET CLR 2.0.50727)
Build Identifier: 1.7

I get the following link errors when I just untar and run

nmake -f js.mak

   Creating library .\Debug/js32.lib and object .\Debug/js32.exp
jsapi.obj : error LNK2001: unresolved external symbol _js_GeneratorClass
jsapi.obj : error LNK2001: unresolved external symbol _js_IteratorClass
jsapi.obj : error LNK2001: unresolved external symbol _js_StopIterationClass
jsapi.obj : error LNK2001: unresolved external symbol _js_InitIteratorClasses
jsobj.obj : error LNK2001: unresolved external symbol _js_InitIteratorClasses
jsgc.obj : error LNK2001: unresolved external symbol _js_CloseGeneratorObject
jsgc.obj : error LNK2001: unresolved external symbol _js_CloseIteratorState
jsinterp.obj : error LNK2001: unresolved external symbol _js_NewGenerator
jsinterp.obj : error LNK2001: unresolved external symbol _js_CloseNativeIterator

jsinterp.obj : error LNK2001: unresolved external symbol _js_CallIteratorNext
jsinterp.obj : error LNK2001: unresolved external symbol _js_ValueToIterator

It seems jsiter.obj is not included.

Reproducible: Always

Steps to Reproduce:
1.
2.
3.
Comment 1 Bob Clary [:bc:] 2008-06-03 07:26:28 PDT

*** This bug has been marked as a duplicate of bug 313059 ***
Comment 2 Bob Clary [:bc:] 2008-09-23 10:45:26 PDT
Robin, sorry for the dupe. Reopening for 1.7.1 release off of the 1.8.1 branch.
Comment 3 Bob Clary [:bc:] 2008-09-23 10:50:03 PDT
Created attachment 339977 [details] [diff] [review]
patch

patch to add jsiter to js.mak.

builds with vc6 and vc8 for js and jsshell. vc8 warns on a bunch of different stuff, but this should be good enough.
Comment 4 timeless 2008-09-24 00:55:31 PDT
Comment on attachment 339977 [details] [diff] [review]
patch

oops. i have this patch in a tree somewhere on my laptop :)
Comment 5 Bob Clary [:bc:] 2008-09-24 01:13:23 PDT
Comment on attachment 339977 [details] [diff] [review]
patch

risk: not part of the build
reason: necessary for spidermonkey 1.7 source release.
Comment 6 Daniel Veditz [:dveditz] 2008-09-24 14:57:26 PDT
Comment on attachment 339977 [details] [diff] [review]
patch

Approved for 1.8.1.18, a=dveditz for release-drivers
Comment 7 Bob Clary [:bc:] 2008-10-20 21:43:41 PDT
/cvsroot/mozilla/js/src/js.mak,v  <--  js.mak
new revision: 3.9.8.2; previous revision: 3.9.8.1
Comment 8 Al Billings [:abillings] 2008-11-10 15:24:31 PST
(In reply to comment #0)
> User-Agent:       Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR
> 1.1.4322; .NET CLR 2.0.50727)
> Build Identifier: 1.7
> 
> I get the following link errors when I just untar and run
> 
> nmake -f js.mak
> 
>    Creating library .\Debug/js32.lib and object .\Debug/js32.exp
> jsapi.obj : error LNK2001: unresolved external symbol _js_GeneratorClass
> jsapi.obj : error LNK2001: unresolved external symbol _js_IteratorClass
> jsapi.obj : error LNK2001: unresolved external symbol _js_StopIterationClass
> jsapi.obj : error LNK2001: unresolved external symbol _js_InitIteratorClasses
> jsobj.obj : error LNK2001: unresolved external symbol _js_InitIteratorClasses
> jsgc.obj : error LNK2001: unresolved external symbol _js_CloseGeneratorObject
> jsgc.obj : error LNK2001: unresolved external symbol _js_CloseIteratorState
> jsinterp.obj : error LNK2001: unresolved external symbol _js_NewGenerator
> jsinterp.obj : error LNK2001: unresolved external symbol
> _js_CloseNativeIterator
> 
> jsinterp.obj : error LNK2001: unresolved external symbol _js_CallIteratorNext
> jsinterp.obj : error LNK2001: unresolved external symbol _js_ValueToIterator
> 
> It seems jsiter.obj is not included.

Robin, can you confirm that it builds now with no issues?

Note You need to log in before you can comment on or make changes to this bug.